Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Input\Parser\ErrorMessage Class Reference

Parser for ErrorMessage. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\Input\Parser\ErrorMessage:

## Public Member Functions
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $errorCodeMapping
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for ErrorMessage.

Definition at line 17 of file Input/Parser/ErrorMessage.php.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Client\Input\Parser\ErrorMessage::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \Exception|ErrorMessageValue

Definition at line 39 of file Input/Parser/ErrorMessage.php.

## Member Data Documentation

## ◆ $errorCodeMapping

eZ\Publish\Core\REST\Client\Input\Parser\ErrorMessage::$errorCodeMapping
| protected

Initial value:
= array(
403 => '\\eZ\\Publish\\Core\\REST\\Common\\Exceptions\\ForbiddenException',
404 => '\\eZ\\Publish\\Core\\REST\\Common\\Exceptions\\NotFoundException',
406 => '\\eZ\\Publish\\Core\\REST\\Client\\Exceptions\\InvalidArgumentException',
409 => '\\eZ\\Publish\\Core\\REST\\Client\\Exceptions\\BadStateException',
)

Definition at line 24 of file Input/Parser/ErrorMessage.php.

The documentation for this class was generated from the following file:

- Input/Parser/ErrorMessage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.